DIM valu AS LONG

OPEN "c:\romhack\kanji.txt" FOR INPUT AS #1
OPEN "c:\romhack\kanji.tbl" FOR OUTPUT AS #2

valu = 57408
DO
  LINE INPUT #1, text$
  IF LEFT$(text$, 2) <> "//" THEN

    FOR i = 1 TO 16 STEP 2
      PRINT #2, HEX$(valu) + "=" + MID$(text$, i, 2)
      valu = valu + 1
    NEXT
  END IF
LOOP UNTIL EOF(1)
CLOSE

